Bug 521513 - gsf-office-thumbnailer is using ImageMagick (spec update)
Summary: gsf-office-thumbnailer is using ImageMagick (spec update)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgsf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 16:25 UTC by Fabian Deutsch
Modified: 2009-09-07 12:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-07 12:06:01 UTC


Attachments (Terms of Use)
Updated (1.28 KB, patch)
2009-09-06 16:26 UTC, Fabian Deutsch
no flags Details | Diff
how about this instead, (3.20 KB, patch)
2009-09-07 09:41 UTC, Caolan McNamara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 594359 None None None Never

Description Fabian Deutsch 2009-09-06 16:25:06 UTC
Description of problem:
1) The spec is missing a dependecy on ImageMagick as the office thumbnailer uses convert to create thumbs.

2) Currently convert has several issues when creating thumbs for various fileformats, so HAVE_SETRLIMI should be defined, to keep it from eating many gigs of ram when creating thumbs with leaky software.
Ref: http://git.gnome.org/cgit/libgsf/tree/thumbnailer/main.c#n230

Regarding the patch: Is the HAVE_SETRLIMI definition at the right place?

Comment 1 Fabian Deutsch 2009-09-06 16:26:33 UTC
Created attachment 359922 [details]
Updated

let just libgsf-gnome depend on ImageMagick.

Comment 2 Caolan McNamara 2009-09-07 07:38:20 UTC
We used to have that, but then it got removed in order to fit it onto a livecd or something.

caolanm->mclasen: do we still need to fit this onto a livecd ?

Comment 3 Caolan McNamara 2009-09-07 09:41:53 UTC
Created attachment 359974 [details]
how about this instead, 

How about we go with gdk-pixbuf as the first attempt to import and scale the thumbnails. That's something I think I intended to do some time ago, that work for you ?

Comment 4 Caolan McNamara 2009-09-07 09:59:13 UTC
Lets try it that way first given last years "Sep 23 2008" size-problem comment.

Comment 5 Fabian Deutsch 2009-09-07 11:14:50 UTC
The problem occurs to me when creating a thumb for an ODT file, so gdk-pixbuf won't help in that case, but might sort out some other cases.

So I'm reopening it.

Comment 6 Caolan McNamara 2009-09-07 11:18:39 UTC
Why not, I generated a thumb from an .odt as my test-case. Can you attach an example which fails in the new gdk-pixbuf scenario ?

Comment 7 Fabian Deutsch 2009-09-07 12:06:01 UTC
Sorry. I did not test - as I did not see that an other path is taken for zip-files. 
It works like a charm!
Will this be pushed upstream?

Comment 8 Caolan McNamara 2009-09-07 12:18:26 UTC
Yeah, as http://bugzilla.gnome.org/show_bug.cgi?id=594359 

There presumably exist some preview formats embedded in some file formats that might not supported by gdk-pixbuf where the code would still be forced to fall-back to convert, but hopefully that's sufficiently rare to not arise in practice.


Note You need to log in before you can comment on or make changes to this bug.